$(document).ready(function(){
	listEmployee();		
// 	var table = $('#employeeListing').dataTable({     
// 		"bPaginate": true,
// 		"bInfo": true,
// 		"bSort": false,
// 		"bFilter": true,
// 		"bLengthChange": true,
// 		"pageLength": 8		
// 	}); 
	// list all employee in datatable
	function listEmployee(){
		$.ajax({
			type  : 'ajax',
			url   : 'https://ccare.hasanhomesltd.com/admin/home/show',
			method:"POST",
			async : false,
			dataType : 'json',
			success : function(data){
				var html = '';
				var i;
				for(i=0; i<data.length; i++){
					html += '<tr id="'+data[i].id+'">'+
							'<td>'+data[i].id+'</td>'+
							'<td>'+data[i].details+'</td>'+
							'<td>'+data[i].created_at+'</td>'+
							'<td>'+
								'<a href="javascript:void(0);" class="badge badge-info btn-sm editRecord" data-id="'+data[i].id+'" data-details="'+data[i].details+'" data-created_at="'+data[i].created_at+'"><i class="fa fa-edit"></i></a>'+' '+
								'<a href="javascript:void(0);" class="badge badge-success btn-sm doneRecord" data-id="'+data[i].id+'"><i class="fa fa-check"></i></a>'+' '+
								'<a href="javascript:void(0);" class="badge badge-danger btn-sm deleteRecord" data-id="'+data[i].id+'"><i class="fa fa-trash"></i></a>'+
							'</td>'+
							'</tr>';
				}
				$('#listRecords').html(html);					
			}

		});
	}
	
	doneTask();		
// 	var table = $('#DoneTaskstable').dataTable({     
// 		"bPaginate": true,
// 		"bInfo": true,
// 		"bSort": false,
// 		"bFilter": true,
// 		"bLengthChange": true,
// 		"pageLength": 13		
// 	}); 
	
	// list all employee in datatable
	function doneTask(){
		$.ajax({
			type  : 'ajax',
			url   : 'https://ccare.hasanhomesltd.com/admin/home/donelist',
			async : false,
			dataType : 'json',
			success : function(data){
				var html = '';
				var i;
				for(i=0; i<data.length; i++){
					html += '<tr id="'+data[i].id+'">'+
							'<td>'+data[i].id+'</td>'+
							'<td>'+data[i].details+'</td>'+
							'<td>'+data[i].started_at+'</td>'+
							'<td>'+
								
								'<a href="javascript:void(0);" class="badge badge-danger btn-sm deleteDoneRecord" data-id="'+data[i].id+'"><i class="fa fa-trash"></i></a>'+
							'</td>'+
							'</tr>';
				}
				$('#listDone').html(html);					
			}

		});
	}
	// save new employee record
	$('#saveEmpForm').submit('click',function(){
		var empId = $('#employee_id').val();
		var Details = $('#details').val();
		var Priority = $('#priority').val();
		var CreatedAt = $('#created_at').val();
		$.ajax({
			type : "POST",
			url  : "https://ccare.hasanhomesltd.com/admin/home/save",
			dataType : "JSON",
			data : {employee_id:empId, details:Details, priority:Priority, created_at:CreatedAt},
			success: function(data){
				$('#details').val("");
				$('#created_at').val("");
				$('#saveEmpForm')[0].reset();
				$('#addEmpModal').modal('hide');
				listEmployee();
				doneTask();
			}
		});
		return false;
	});
	// show edit modal form with emp data
	$('#listRecords').on('click','.editRecord',function(){
		$('#editEmpModal').modal('show');
		$("#TaskId").val($(this).data('id'));
		$("#Details").val($(this).data('details'));
		$("#CreatedAt").val($(this).data('created_at'));
	});
	// save edit record
	 $('#editEmpForm').on('submit',function(){
		var TaskId = $('#TaskId').val();
		var Details = $('#Details').val();
		var CreatedAt = $('#CreatedAt').val();			
		$.ajax({
			type : "POST",
			url  : "https://ccare.hasanhomesltd.com/admin/home/update",
			dataType : "JSON",
			data : {id:TaskId, details:Details, created_at:CreatedAt,},
			success: function(data){
			    $('#Details').val("");
				$('#CreatedAt').val("");
				// $("#empId").val("");
				// $("#empName").val("");
				// $('#empAge').val("");
				// $("#empSkills").val("");
				// $('#empDesignation').val("");
				// $("#empAddress").val("");
				$('#editEmpModal').modal('hide');
				listEmployee();
				doneTask();
			}
		});
		return false;
	});

// 	$('#action_alert').dialog({
// 		autoOpen:false
// 	});
// 		$(document).on('click', '.edit', function(){
// 		var id = $(this).attr('id');
// 		var action = 'fetch_single';
// 		$.ajax({
// 			url:"action.php",
// 			method:"POST",
// 			data:{id:id, action:action},
// 			dataType:"json",
// 			success:function(data)
// 			{
// 				$('#employee_id').val(data.employee_id);
// 				$('#employee').val(data.employee);
// 				$('#details').val(data.details);
// 				$('#priority').val(data.priority);
// 				$('#created_at').val(data.created_at);
// 				$('#user_dialog').attr('title', 'Edit Data');
// 				$('#action').val('update');
// 				$('#hidden_id').val(id);
// 				$('#form_action').val('Update');
// 				$('#user_dialog').dialog('open');
// 			}
// 		});
// 	});

	// show done form
// 	$('#listRecords').on('click','.doneRecord',function(){
// 		var empId = $(this).data('id');            
// 		$('#DoneTaskModal').modal('show');
// 		$('#doneTaskId').val(empId);
// 	});
// 	// done emp record
// 	 $('#doneTaskForm').on('submit',function(){
// 		var empId = $('#doneTaskId').val();
// 		$.ajax({
// 			type : "POST",
// 			url  : "http://ccare.hasanhomesltd.com/admin/home/done",
// 			dataType : "JSON",  
// 			data : {id:empId},
// 			success: function(data){
// 				$("#"+empId).remove();
// 				$('#doneTaskId').val("");
// 				$('#DoneTaskModal').modal('hide');
// 				listEmployee();
// 				doneTask();
// 			}
// 		});
// 		return false;
// 	});	
	
	
	$('#listRecords').on('click','.doneRecord',function(){
		var empId = $(this).data('id');            
// 		$('#DoneTaskModal').modal('show');
// 		$('#doneTaskId').val(empId);
        $.ajax({
			type : "POST",
			url  : "https://ccare.hasanhomesltd.com/admin/home/done",
			dataType : "JSON",  
			data : {id:empId},
			success: function(data){
				$("#"+empId).remove();
				$('#doneTaskId').val("");
				// $('#DoneTaskModal').modal('hide');
				listEmployee();
				doneTask();
			}
		});

	});
	// done emp record
	 $('#doneTaskForm').on('submit',function(){
		var empId = $('#doneTaskId').val();
		
		return false;
	});
	
	// show delete form
	$('#listRecords').on('click','.deleteRecord',function(){
		var empId = $(this).data('id');            
		$('#deleteEmpModal').modal('show');
		$('#deleteEmpId').val(empId);
	});
	// delete emp record
	 $('#deleteEmpForm').on('submit',function(){
		var empId = $('#deleteEmpId').val();
		$.ajax({
			type : "POST",
			url  : "https://ccare.hasanhomesltd.com/admin/home/delete",
			dataType : "JSON",  
			data : {id:empId},
			success: function(data){
				$("#"+empId).remove();
				$('#deleteEmpId').val("");
				$('#deleteEmpModal').modal('hide');
				listEmployee();
				doneTask();
			}
		});
		return false;
	});
	
	// show delete form
	$('#listDone').on('click','.deleteDoneRecord',function(){
		var empId = $(this).data('id');            
		$('#deleteDoneModal').modal('show');
		$('#deleteEmpId').val(empId);
	});
	// delete emp record
	 $('#deleteDoneForm').on('submit',function(){
		var empId = $('#deleteEmpId').val();
		$.ajax({
			type : "POST",
			url  : "https://ccare.hasanhomesltd.com/admin/home/delete",
			dataType : "JSON",  
			data : {id:empId},
			success: function(data){
				$("#"+empId).remove();
				$('#deleteEmpId').val("");
				$('#deleteDoneModal').modal('hide');
				listEmployee();
				doneTask();
			}
		});
		return false;
	});
});